$.fn.titleScrollTop = function(opt){

	var opts = {
		target : '.order-left', //需要定位的类名
		className : 'active', //滚动到顶部时添加的类名
		hideTarget : '.order-line',//置顶后需要隐藏的类名
		beforeTopStyle:{
			position:'relative',
			left:'auto',
			marginLeft:'auto',
		},
		topedStyle : {
			position:'fixed',
			left:'0',
			marginLeft:'0',
		}
	}

	var settings = $.extend({},opts,opt);

	var that = this;
	var M = {};
	M.titleHeight = parseInt($(that).css('height')); //标题的高度
	M.className = '.' + that[0].classList.value.replace(/ /g,'.'); //标题模块的classname


	M.init = function(){
		M.clickScrollTop();
		M.scrollTopFun();
	},

	//点击置顶功能
	M.clickScrollTop = function(){
		that.delegate(settings.target,'click',function(){
			var _self = this;
			var scrollTop = $(this).parent().offset().top;
			$('html,body').animate({
				scrollTop : scrollTop - $(_self).parent().index(M.className) * M.titleHeight
			},200)
		})
	},

	M.scrollTopFun = function(){
	//滚动置顶功能
		$(window).scroll(function(){
			var scrollTop = $(window).scrollTop();
			var eles = that;
			$.each(eles,function(index,ele){

				if(ele.offsetTop < scrollTop + M.titleHeight*index){
					if(($(eles[index-1]).length > 0) && (!$(eles[index]).hasClass(settings.className))){
						$(eles[index-1]).addClass(settings.className);
					}
					//定位到顶部
					settings.topedStyle.top = M.titleHeight*index;
					$(ele).find(settings.target).css(settings.topedStyle);
					//此为标题分割线显示
					$(ele).find(settings.hideTarget).hide();
				}else{
					//删除灰度效果
					$(eles[index-1]).removeClass(settings.className);
					//恢复为默认效果
					settings.beforeTopStyle.top = (opt.beforeTopStyle.top ? opt.beforeTopStyle.top : 'auto');
					$(ele).find(settings.target).css(settings.beforeTopStyle)
					//此为标题分割线显示
					$(ele).find(settings.hideTarget).show();
				}
			})
		})
	}
	M.init();
}